%global realname epgsql
%global upstream epgsql
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}


Summary:	Erlang PostgreSQL client library
Name:		erlang-%{realname}
Version:	3.2.0
Release:	4%{?dist}
Group:		Development/Libraries
License:	BSD
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar


%description
Library that gives possibility to Erlang programs to connect PostgreSQL
databases by plain TCP and execute simple SQL statements.


%prep
%setup -q -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
# TODO Requires PostgreSQL connection
#%%{erlang_test}


%files
%license LICENSE
%doc CHANGES README.md TODO
%{erlang_appdir}/


%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jun  2 2016 Peter Lemenkov <lemenkov@gmail.com> - 3.2.0-1
- Ver. 3.2.0.
- Spec-file cleanup according to Fedora Erlang Packaging Guidelines

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 26 2015 Filip Andres <filip@andresovi.net> - 3.1.0-1
- Update to the version 3.1.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 10 2014 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.4-2
- No need to use git shapshot tag when we're using the released version
- Clean the SPEC file a bit for more modern RPM

* Fri Aug 03 2012 Filip Andres <filip.andres@gooddata.com> - 1.4-1.20120313git3318bd5d64.gdc1
- Initial spec file
- Removing git version info from Makefile
